org.apache.ignite.internal.visor.cache

## Class VisorCacheTypeMetadata

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheTypeMetadata

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheTypeMetadata
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for `CacheTypeMetadata`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheTypeMetadata()`

### Method Summary

Methods
`Map<String,String>` `ascFlds()`
`String` `dbSchema()`
`String` `dbTbl()`
`Map<String,String>` `descFlds()`
`static VisorCacheTypeMetadata` `from(CacheTypeMetadata m)`
`static VisorCacheTypeMetadata` `from(QueryEntity q)`
`Map<String,LinkedHashMap<String,IgniteBiTuple<String,Boolean>>>` `grps()`
`Collection<VisorCacheTypeFieldMetadata>` `keyFields()`
`String` `keyType()`
`static Collection<VisorCacheTypeMetadata>` `list(Collection<QueryEntity> qryEntities, javax.cache.configuration.Factory factory, Collection<CacheTypeMetadata> types)`
`Map<String,String>` `qryFlds()`
`Collection<String>` `txtFlds()`
`Collection<VisorCacheTypeFieldMetadata>` `valFields()`
`String` `valType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheTypeMetadata

    public VisorCacheTypeMetadata()

### Method Detail

#### list

    public static Collection<VisorCacheTypeMetadata> list(Collection<QueryEntity> qryEntities,
                                          javax.cache.configuration.Factory factory,
                                          Collection<CacheTypeMetadata> types)

Parameters:
  `qryEntities` - Collection of query entities.
  `factory` - Store factory to extract JDBC types info.
  `types` - Cache types metadata configurations.
Returns:
  Data transfer object for cache type metadata configurations.

#### from

    public static VisorCacheTypeMetadata from(QueryEntity q)

Parameters:
  `q` - Actual cache query entities.
Returns:
  Data transfer object for given cache type metadata.

#### from

    public static VisorCacheTypeMetadata from(CacheTypeMetadata m)

Parameters:
  `m` - Actual cache type metadata.
Returns:
  Data transfer object for given cache type metadata.

#### dbSchema

    public String dbSchema()

Returns:
  Schema name in database.

#### dbTbl

    public String dbTbl()

Returns:
  Table name in database.

#### keyType

    public String keyType()

Returns:
  Key class used to store key in cache.

#### valType

    public String valType()

Returns:
  Value class used to store value in cache.

#### keyFields

    public Collection<VisorCacheTypeFieldMetadata> keyFields()

Returns:
  Key fields.

#### valFields

    public Collection<VisorCacheTypeFieldMetadata> valFields()

Returns:
  Value fields.

#### qryFlds

    public Map<String,String> qryFlds()

Returns:
  Fields to be queried, in addition to indexed fields.

#### ascFlds

    public Map<String,String> ascFlds()

Returns:
  Fields to index in ascending order.

#### descFlds

    public Map<String,String> descFlds()

Returns:
  Fields to index in descending order.

#### txtFlds

    public Collection<String> txtFlds()

Returns:
  Fields to index as text.

#### grps

    public Map<String,LinkedHashMap<String,IgniteBiTuple<String,Boolean>>> grps()

Returns:
  Fields to create group indexes for.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016